import { DndProvider } from 'react-dnd';
import { HTML5Backend } from 'react-dnd-html5-backend';
import React__default from 'react';

function useDNDProviderElement(props) {
  var children = props.children; // eslint-disable-line react/prop-types

  if (!children) return null;
  return /*#__PURE__*/React__default.createElement(DndProvider, {
    backend: HTML5Backend,
    context: window
  }, children);
}
useDNDProviderElement.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "useDNDProviderElement"
};

export { useDNDProviderElement };
